Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(11)

Issue 619923003: Remove HarfBuzzFaceCoreText (Closed)

Created:
5 years, 6 months ago by Dominik Röttsches
Modified:
5 years, 6 months ago
Reviewers:
behdad_google, eae, behdad
CC:
blink-reviews, jamesr, pdr+graphicswatchlist_chromium.org, jbroman, mkwst+moarreviews_chromium.org, danakj, Rik, Stephen Chennney, krit, rwlbuis
Base URL:
https://chromium.googlesource.com/chromium/blink.git@master
Project:
blink
Visibility:
Public.

Description

Remove HarfBuzzFaceCoreText Since the rest of the OS X drawing code moved to FontHarfBuzz and mostly the Skia based code, we can remove the special cased metrics callback implementation here. BUG=419386 R=eae, behdad Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=183157

Patch Set 1 #

Patch Set 2 : Fix CoreText face constructor, Merging HarfBuzzFaceSkia into HarfBuzzFace, cleaning up gyp #

Patch Set 3 : Add rebaselines, minor rounding #

Patch Set 4 : TestExpectations Lint Fix #

Patch Set 5 : Rebased on top of eae's gyp changes #

Unified diffs Side-by-side diffs Delta from patch set Stats (+251 lines, -421 lines) Patch
M LayoutTests/TestExpectations View 1 2 3 4 1 chunk +62 lines, -0 lines 0 comments Download
M Source/platform/blink_platform.gyp View 1 2 3 4 5 chunks +3 lines, -16 lines 0 comments Download
M Source/platform/blink_platform.gypi View 1 2 3 4 1 chunk +0 lines, -2 lines 0 comments Download
M Source/platform/fonts/harfbuzz/HarfBuzzFace.cpp View 1 2 chunks +186 lines, -1 line 0 comments Download
D Source/platform/fonts/harfbuzz/HarfBuzzFaceCoreText.mm View 1 chunk +0 lines, -161 lines 0 comments Download
D Source/platform/fonts/harfbuzz/HarfBuzzFaceSkia.cpp View 1 1 chunk +0 lines, -241 lines 0 comments Download

Messages

Total messages: 23 (10 generated)
Dominik Röttsches
Behdad suggests we should keep an eye out on performance regressions, but the HarfBuzzFaceSkia implemention ...
5 years, 6 months ago (2014-10-01 16:03:25 UTC) #1
behdad_google
On 2014/10/01 16:03:25, Dominik Röttsches wrote: > Behdad suggests we should keep an eye out ...
5 years, 6 months ago (2014-10-01 16:06:03 UTC) #2
behdad_google
lgtm
5 years, 6 months ago (2014-10-01 16:06:41 UTC) #4
eae
LGTM++
5 years, 6 months ago (2014-10-01 16:07:18 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/619923003/1
5 years, 6 months ago (2014-10-01 16:07:47 UTC) #7
commit-bot: I haz the power
Try jobs failed on following builders: mac_blink_rel on tryserver.blink (http://build.chromium.org/p/tryserver.blink/builders/mac_blink_rel/builds/25499)
5 years, 6 months ago (2014-10-01 20:30:54 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/619923003/1
5 years, 6 months ago (2014-10-01 21:22:15 UTC) #11
commit-bot: I haz the power
Try jobs failed on following builders: mac_blink_rel on tryserver.blink (http://build.chromium.org/p/tryserver.blink/builders/mac_blink_rel/builds/25514)
5 years, 6 months ago (2014-10-01 22:55:19 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/619923003/40001
5 years, 6 months ago (2014-10-02 12:42:46 UTC) #15
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/619923003/60001
5 years, 6 months ago (2014-10-02 18:50:23 UTC) #18
commit-bot: I haz the power
Failed to apply patch for Source/platform/blink_platform.gyp: While running patch -p1 --forward --force --no-backup-if-mismatch; patching file ...
5 years, 6 months ago (2014-10-02 18:50:44 UTC) #20
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/619923003/80001
5 years, 6 months ago (2014-10-02 19:02:14 UTC) #22
commit-bot: I haz the power
5 years, 6 months ago (2014-10-02 20:12:13 UTC) #23
Message was sent while issue was closed.
Committed patchset #5 (id:80001) as 183157

Powered by Google App Engine
This is Rietveld 408576698